params {
    root_dir = '/scratch/users/awaehli/Nextflow/'
    genomes = "$root_dir/genomes/*.fas"
    gene_family = "$root_dir/reference.fasta"
    sorter_path = "$root_dir/genfamcompare/assets/scisort"
    extract_path = "$root_dir/genfamcompare/assets/extract.py"
    alphafold_run_path = "/scratch1/users/awaehli/Nextflow/genfamcompare/assets/run_alphafold.sh"
    foldseek_path = '/scratch/projects/alphafold/container/foldseek.sif'
    alphafold_config_path="$root_dir/genfamcompare/alphafold.config"
    distance_matrix_path = "$root_dir/genfamcompare/assets/distance_matrix.py"

    enable_conda = true
    conda_env = '$root_dir/genfamcompare/assets/environment.yml'
    help = false
}


process {

    withLabel: 'slurm_small'{
        queue = 'medium'
        maxForks = 20
        time = '1h'
        memory = '16GB'
        cpus = 4
    }

    withLabel: 'slurm_medium' {
        executor = 'slurm'
        queue = 'medium'
        maxForks = 20
        time = '1h'
        memory = '16G'
        cpus = 10
    }

    withLabel: 'gpu' {
        executor = 'slurm'
        queue = 'gpu'
        maxForks = 20
        memory = '50GB'
        cpus = 10
        time = '5h'
        clusterOptions = "-G v100:1"
    }
    
}

profiles {
    conda {
        process.conda = '/usr/users/awaehli/.conda/envs/phylogenomics'
    }
}